PROGRAM_NAME='D - Boxload Demo zum Eintragen der Adressen'
(*   DATE:05/10/00    TIME:10:08:52    *)
DEFINE_DEVICE
  EIB = 17 (* Adresse AXB-232++ / AXC-232++ *)

DEFINE_VARIABLE
  X         (* Zaehler *)
  Cmd[50]   (* Aktueller Befehl *)

DEFINE_START
  X = 0     (* bei Reset anhalten *)
  WAIT 20   (* 2 Sekunden warten *)
    X = 1   (* Erste Gruppe eintragen *)

DEFINE_PROGRAM
WAIT 2      (* alle 200ms pruefen *)
  IF(X)     (* Etwas einzutragen ? *)
    {
    SELECT
      {
      ACTIVE(X =  1): Cmd = 'ADD SW 1 1/1'  (* Schalter 1: Adresse 1/1 *)
      ACTIVE(X =  2): Cmd = 'ADD SW 2 1/2'
      ACTIVE(X =  3): Cmd = 'ADD SW 3 1/0/3'(* auch ETS2-Notation mglich *)
      ACTIVE(X =  4): Cmd = 'ADD SW 4 1/22' (* Dimmer Ein/Aus *)
      ACTIVE(X =  5): Cmd = 'ADD D4 1 1/23' (* Relativ dimmen *)
      ACTIVE(X =  6): Cmd = 'ADD 1B 1 1/24' (* Dimmer setzen *)
      ACTIVE(X =  7): Cmd = 'ADD 1B 2 1/25' (* aktueller Dimmerwert *)

      ACTIVE(X =  8): Cmd = 'WHEN START POLL 1B 2' (* nach Reset lesen *)
      ACTIVE(X =  9): Cmd = 'WHEN SW 4 POLL 1B 2'  (* bei Schalter 4 lesen *)
      ACTIVE(X = 10): Cmd = 'WHEN D4 1 POLL 1B 2'  (* bei Dimmen lesen *)
      ACTIVE(X = 11): Cmd = 'WHEN 1B 1 POLL 1B 2'  (* bei Setzen sowieso *)

      ACTIVE(1): Cmd = "" (* Schluss *)
      }

    IF(Cmd <> "")    (* Etwas zu Senden ? *)
      {
      SYSTEM_CALL 'EIB Send Command' (EIB,Cmd) (* an die Box *)
      X = X + 1                                (* Naechster *)
      }
    ELSE                                       (* Ende erreicht *)
      X = 0                                    (* Zaehler aus *)
    }
